Welcome.... Learn more about My Landmark LOGIN or REGISTER

My Landmark

Requirements

 

1.  Browsers:

     - Internet Explorer version 6.0 or higher

     - Firefox version 2.0.0.1 or higher (this available for free at: http://www.mozilla.org/ )

     - Safari version 3.0.4 or higher  

     - Google Chrome version 1.0 or higher 
More recent browser versions are reportedly faster with better security.

 

2. Allow cookies:

In Internet Explorer this is done in your browser under Menu > Tools > Internet Options >  Privacy tab > slide to Medium

 

3. Adjust Security settings in Internet Explorer:

     a. Enable scripting

         - From the Menu > Tools > Internet Options >  Security tab > select Internet > Custom Level button > scroll to Scripting section > Active scripting > Enable

     b. Enable ActiveX
- From the Menu > Tools > Internet Options >  Security tab > select Internet > Custom Level button > scroll to ActiveX controls and plug-ins section

         - Enable  Run ActiveX controls and plug-ins
- Enable  Script ActiveX controls marked safe for scripting

 


Top of page